package com.manage.entity;

public class T_Menu {
    private Integer menuId;

    private String menuName;

    private String menuIcon;

    private String menuUrl;

    private String menuDesc;

    private String menuMethod;

    private String menuSys;

    private Integer menuParentId;

    private String menuStatus;

    private Integer menuSort;

    private String menuRemark;

    private String menuCreater;

    private String menuCreatetime;

    private String menuUpdater;

    private String menuUpdatetime;

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName == null ? null : menuName.trim();
    }

    public String getMenuIcon() {
        return menuIcon;
    }

    public void setMenuIcon(String menuIcon) {
        this.menuIcon = menuIcon == null ? null : menuIcon.trim();
    }

    public String getMenuUrl() {
        return menuUrl;
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl == null ? null : menuUrl.trim();
    }

    public String getMenuDesc() {
        return menuDesc;
    }

    public void setMenuDesc(String menuDesc) {
        this.menuDesc = menuDesc == null ? null : menuDesc.trim();
    }

    public String getMenuMethod() {
        return menuMethod;
    }

    public void setMenuMethod(String menuMethod) {
        this.menuMethod = menuMethod == null ? null : menuMethod.trim();
    }

    public String getMenuSys() {
        return menuSys;
    }

    public void setMenuSys(String menuSys) {
        this.menuSys = menuSys == null ? null : menuSys.trim();
    }

    public Integer getMenuParentId() {
        return menuParentId;
    }

    public void setMenuParentId(Integer menuParentId) {
        this.menuParentId = menuParentId;
    }

    public String getMenuStatus() {
        return menuStatus;
    }

    public void setMenuStatus(String menuStatus) {
        this.menuStatus = menuStatus == null ? null : menuStatus.trim();
    }

    public Integer getMenuSort() {
        return menuSort;
    }

    public void setMenuSort(Integer menuSort) {
        this.menuSort = menuSort;
    }

    public String getMenuRemark() {
        return menuRemark;
    }

    public void setMenuRemark(String menuRemark) {
        this.menuRemark = menuRemark == null ? null : menuRemark.trim();
    }

    public String getMenuCreater() {
        return menuCreater;
    }

    public void setMenuCreater(String menuCreater) {
        this.menuCreater = menuCreater == null ? null : menuCreater.trim();
    }

    public String getMenuCreatetime() {
        return menuCreatetime;
    }

    public void setMenuCreatetime(String menuCreatetime) {
        this.menuCreatetime = menuCreatetime == null ? null : menuCreatetime.trim();
    }

    public String getMenuUpdater() {
        return menuUpdater;
    }

    public void setMenuUpdater(String menuUpdater) {
        this.menuUpdater = menuUpdater == null ? null : menuUpdater.trim();
    }

    public String getMenuUpdatetime() {
        return menuUpdatetime;
    }

    public void setMenuUpdatetime(String menuUpdatetime) {
        this.menuUpdatetime = menuUpdatetime == null ? null : menuUpdatetime.trim();
    }
}